DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTRTBeamDelimiterGeometrySequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTRTBeamDelimiterGeometrySequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getCenterOfCircularOutline (Float64 &value, const unsigned long pos=0) const
| get CenterOfCircularOutline (0018,1635) More...
OFCondition | getDiameterOfCircularOutline (Float64 &value, const unsigned long pos=0) const
| get DiameterOfCircularOutline (0018,1636) More...
OFCondition | getNumberOfPolygonalVertices (Uint32 &value, const unsigned long pos=0) const
| get NumberOfPolygonalVertices (0018,1637) More...
OFCondition | getOutlineLeftVerticalEdge (Float64 &value, const unsigned long pos=0) const
| get OutlineLeftVerticalEdge (0018,1631) More...
OFCondition | getOutlineLowerHorizontalEdge (Float64 &value, const unsigned long pos=0) const
| get OutlineLowerHorizontalEdge (0018,1634) More...
OFCondition | getOutlineRightVerticalEdge (Float64 &value, const unsigned long pos=0) const
| get OutlineRightVerticalEdge (0018,1632) More...
OFCondition | getOutlineShapeType (OFString &value, const signed long pos=0) const
| get OutlineShapeType (0018,1630) More...
OFCondition | getOutlineUpperHorizontalEdge (Float64 &value, const unsigned long pos=0) const
| get OutlineUpperHorizontalEdge (0018,1633) More...
OFCondition | setCenterOfCircularOutline (const Float64 value, const unsigned long pos=0)
| set CenterOfCircularOutline (0018,1635) More...
OFCondition | setDiameterOfCircularOutline (const Float64 value, const unsigned long pos=0)
| set DiameterOfCircularOutline (0018,1636) More...
OFCondition | setNumberOfPolygonalVertices (const Uint32 value, const unsigned long pos=0)
| set NumberOfPolygonalVertices (0018,1637) More...
OFCondition | setOutlineLeftVerticalEdge (const Float64 value, const unsigned long pos=0)
| set OutlineLeftVerticalEdge (0018,1631) More...
OFCondition | setOutlineLowerHorizontalEdge (const Float64 value, const unsigned long pos=0)
| set OutlineLowerHorizontalEdge (0018,1634) More...
OFCondition | setOutlineRightVerticalEdge (const Float64 value, const unsigned long pos=0)
| set OutlineRightVerticalEdge (0018,1632) More...
OFCondition | setOutlineShapeType (const OFString &value, const OFBool check=OFTrue)
| set OutlineShapeType (0018,1630) More...
OFCondition | setOutlineUpperHorizontalEdge (const Float64 value, const unsigned long pos=0)
| set OutlineUpperHorizontalEdge (0018,1633) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmFloatingPointDouble | CenterOfCircularOutline
| CenterOfCircularOutline (0018,1635) vr=FD, vm=2, type=1C.
DcmFloatingPointDouble | DiameterOfCircularOutline
| DiameterOfCircularOutline (0018,1636) vr=FD, vm=1, type=1C.
DcmUnsignedLong | NumberOfPolygonalVertices
| NumberOfPolygonalVertices (0018,1637) vr=UL, vm=1, type=1C.
DcmFloatingPointDouble | OutlineLeftVerticalEdge
| OutlineLeftVerticalEdge (0018,1631) vr=FD, vm=1, type=1C.
DcmFloatingPointDouble | OutlineLowerHorizontalEdge
| OutlineLowerHorizontalEdge (0018,1634) vr=FD, vm=1, type=1C.
DcmFloatingPointDouble | OutlineRightVerticalEdge
| OutlineRightVerticalEdge (0018,1632) vr=FD, vm=1, type=1C.
DcmCodeString | OutlineShapeType
| OutlineShapeType (0018,1630) vr=CS, vm=1, type=1.
DcmFloatingPointDouble | OutlineUpperHorizontalEdge
| OutlineUpperHorizontalEdge (0018,1633) vr=FD, vm=1, type=1C.
DcmOtherFloat | VerticesOfThePolygonalOutline
| VerticesOfThePolygonalOutline (0018,1638) vr=OF, vm=1, type=1C.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTRTBeamDelimiterGeometrySequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTRTBeamDelimiterGeometrySequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getCenterOfCircularOutline()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::getCenterOfCircularOutline | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get CenterOfCircularOutline (0018,1635)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDiameterOfCircularOutline()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::getDiameterOfCircularOutline | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get DiameterOfCircularOutline (0018,1636)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfPolygonalVertices()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::getNumberOfPolygonalVertices | ( | Uint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfPolygonalVertices (0018,1637)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineLeftVerticalEdge()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::getOutlineLeftVerticalEdge | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get OutlineLeftVerticalEdge (0018,1631)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineLowerHorizontalEdge()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::getOutlineLowerHorizontalEdge | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get OutlineLowerHorizontalEdge (0018,1634)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineRightVerticalEdge()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::getOutlineRightVerticalEdge | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get OutlineRightVerticalEdge (0018,1632)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineShapeType()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::getOutlineShapeType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get OutlineShapeType (0018,1630)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOutlineUpperHorizontalEdge()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::getOutlineUpperHorizontalEdge | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get OutlineUpperHorizontalEdge (0018,1633)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTRTBeamDelimiterGeometrySequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTRTBeamDelimiterGeometrySequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTRTBeamDelimiterGeometrySequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCenterOfCircularOutline()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::setCenterOfCircularOutline | ( | const Float64 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set CenterOfCircularOutline (0018,1635)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=2

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDiameterOfCircularOutline()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::setDiameterOfCircularOutline | ( | const Float64 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set DiameterOfCircularOutline (0018,1636)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfPolygonalVertices()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::setNumberOfPolygonalVertices | ( | const Uint32 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set NumberOfPolygonalVertices (0018,1637)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineLeftVerticalEdge()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::setOutlineLeftVerticalEdge | ( | const Float64 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set OutlineLeftVerticalEdge (0018,1631)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineLowerHorizontalEdge()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::setOutlineLowerHorizontalEdge | ( | const Float64 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set OutlineLowerHorizontalEdge (0018,1634)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineRightVerticalEdge()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::setOutlineRightVerticalEdge | ( | const Float64 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set OutlineRightVerticalEdge (0018,1632)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineShapeType()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::setOutlineShapeType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set OutlineShapeType (0018,1630)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOutlineUpperHorizontalEdge()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::setOutlineUpperHorizontalEdge | ( | const Float64 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set OutlineUpperHorizontalEdge (0018,1633)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTRTBeamDelimiterGeometrySequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrbdgs.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1